unit DlgPictureViewDialog;

interface

uses
  SysUtils, Types, Classes, Variants, QTypes, QGraphics, QControls, QForms, 
  QDialogs, QStdCtrls, QExtCtrls;

type
  TDlgPictureView = class(TForm)
    pnlButton: TPanel;
    btnClose: TButton;
    imgPicture: TImage;
    procedure FormActivate(Sender: TObject);
    procedure btnCloseClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
    ImageAsBitmap: TBitmap;
  end;

var
  DlgPictureView: TDlgPictureView;

implementation

{$R *.xfm}

procedure TDlgPictureView.FormActivate(Sender: TObject);
begin
  imgPicture.Picture.Bitmap := ImageAsBitmap;
end;

procedure TDlgPictureView.btnCloseClick(Sender: TObject);
begin
  ModalResult := mrOK;
end;

end.
